package com.zcloud.service.bus.impl;

import java.util.List;

import com.zcloud.mapper.dsno2.scheduling.ShiftWorkRulesMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.service.bus.ShiftWorkRulesService;

/**
 * 说明：倒班规则
 * 作者：luoxiaobao
 * 时间：2021-12-07
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ShiftWorkRulesServiceImpl implements ShiftWorkRulesService{

	@Autowired
	private ShiftWorkRulesMapper shiftworkrulesMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		shiftworkrulesMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		shiftworkrulesMapper.delete(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByPar(PageData pd)throws Exception{
		shiftworkrulesMapper.deleteByPar(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		shiftworkrulesMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return shiftworkrulesMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return shiftworkrulesMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return shiftworkrulesMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		shiftworkrulesMapper.deleteAll(ArrayDATA_IDS);
	}


	/**
	 * @param pd
	 * @throws Exception
	 */
	public int isUseOne(PageData pd)throws Exception{
		return shiftworkrulesMapper.isUseOne(pd);
	}

	/**
	 * @param pd
	 * @throws Exception
	 */
	public int isUseTwo(PageData pd)throws Exception{
		return shiftworkrulesMapper.isUseTwo(pd);
	}
}

